# Function transformForm

- transformForm(
  __namedParameters: {
  form: any;
  getRowQuery: any;
  optionsQuery: any;
  req: any;
  res: any;
  row: any;
  state: any;
  table: any;
  viewname: any;
  },
  ): Promise<void>

  #### Parameters

  - __namedParameters: {
    form: any;
    getRowQuery: any;
    optionsQuery: any;
    req: any;
    res: any;
    row: any;
    state: any;
    table: any;
    viewname: any;
    }

  #### Returns Promise<void>

  - Defined in packages/saltcorn-data/base-plugin/viewtemplates/viewable_fields.js:2081